org.apache.sling.provisioning.model

## Interface ModelUtility.ArtifactVersionResolver

Enclosing class:
  ModelUtility

    public static interface ModelUtility.ArtifactVersionResolver

Optional artifact dependency version resolver

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `resolve(Artifact artifact)` Setting a version for an artifact dependency in a Sling Provisioning file is optional.

### Method Detail

#### resolve

    String resolve(Artifact artifact)

Setting a version for an artifact dependency in a Sling Provisioning file is optional. By default an artifact without a defined version gets "LATEST" as version. By defining an DependencyVersionResolver it is possible to plugin in an external dependency resolver which decides which version to use if no version is given in the provisioning file. If an exact version is given in the provisioning file this is always used.

Parameters:
  `artifact` - Artifact without version (version is set to LATEST)
Returns:
  New version, or null if the version should not be changed